#!/bin/bash

source ./config.sh

PATH_TO_REPO="/pir/"
XPIR_SCRIPT_LOCATION="/pir/"
XPIR_SCRIPT_NAME="run_experiments_xpir.sh"
XPIR_SCRIPT=$XPIR_SCRIPT_LOCATION$XPIR_SCRIPT_NAME

if [ -f $XPIR_SCRIPT ]; then
	echo "File found for XPIR!"
else
	echo "Error : XPIR experiment script not found"
	exit
fi

cd $XPIR_SCRIPT_LOCATION

no_of_blocks=$BLOCKS_START
echo $no_of_blocks
echo $BLOCKS_START, $BLOCKS_STOP

while [ "$no_of_blocks" -le $BLOCKS_STOP ]
  do
   
  XPIR_COMMAND="./"$XPIR_SCRIPT_NAME" "$no_of_blocks" "$no_of_blocks" 10 "$BLOCK_SIZE" "$NUM_OF_REQUESTS" 0 "$PATH_TO_REPO

  echo "Executing :"
  echo $XPIR_COMMAND 
  $XPIR_COMMAND
  echo

  no_of_blocks=$((no_of_blocks*8/5))
  echo $no_of_blocks

  done



